Foreman - Bug #20872

Update scoped_search to 4.1.2 or higher
09/07/2017 09:09 AM - Ondrej Prazak

Status: Closed
Priority: Normal
Assignee: Daniel Lobato Garcia
Category:
Target version: 1.15.4
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/4815
Description

As new version of scoped_search was released with a fix for regression, we can now unpin the gem version.

Related issues:
Related to Foreman - Bug #20867: Scoped search 4.1.1 introduces a regression ... Closed
Related to Foreman - Bug #19707: Searching for specific organizations/locatio... Closed

09/07/2017
05/30/2017

Associated revisions

Revision bd9d07c1 - 09/08/2017 10:18 AM - Daniel Lobato Garcia
Fixes #20872 - scoped_search should be >=4.1.2

As to introduce the fix for relations between classes with polymorphism
(https://github.com/wvanbergen/scoped_search/commit/e629a484cc57c65cd394e47006eb30b24e4382bc)

Revision 0ec839db - 09/11/2017 07:53 AM - Daniel Lobato Garcia
Fixes #20872 - scoped_search should be >=4.1.2

As to introduce the fix for relations between classes with polymorphism
(https://github.com/wvanbergen/scoped_search/commit/e629a484cc57c65cd394e47006eb30b24e4382bc)

(cherry picked from commit bd9d07c15223180fa18d28f5dc13654bfc591ff5)

Revision b3f57754 - 09/11/2017 07:56 AM - Daniel Lobato Garcia
Fixes #20872 - scoped_search should be >=4.1.2

As to introduce the fix for relations between classes with polymorphism
J//github. ed_se it/e629a4 7

(cherry picked from commit bd9d07¢15223180fa18d28f5dc13654bfc591ff5)

History

#1 - 09/07/2017 09:18 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/4815 added

#2 - 09/07/2017 09:19 AM - Daniel Lobato Garcia
- Status changed from Ready For Testing to New
- Pull request deleted (https://github.com/theforeman/foreman/pull/4815)

This ought to be 1.15, 1.16, 1.17, packaging should be updated too.

#3 - 09/07/2017 09:21 AM - The Foreman Bot
https://github.com/wvanbergen/scoped_search/commit/e629a484cc57c65cd394e47006eb30b24e4382bc
https://github.com/wvanbergen/scoped_search/commit/e629a484cc57c65cd394e47006eb30b24e4382bc
https://github.com/wvanbergen/scoped_search/commit/e629a484cc57c65cd394e47006eb30b24e4382bc

- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/4816 added

#4 - 09/08/2017 06:04 AM - Marek Hulan

- Assignee changed from Ondfej PraZak to Daniel Lobato Garcia

- Pull request https://github.com/theforeman/foreman/pull/4815 added

- Pull request deleted (https://github.com/theforeman/foreman/pull/4816)

#5 - 09/08/2017 06:07 AM - Marek Hulan
- Related to Bug #20867: Scoped search 4.1.1 introduces a regression and breaks tests added

#6 - 09/08/2017 10:21 AM - Marek Hulan

- Related to Bug #19707: Searching for specific organizations/locations broken added

#7 - 09/08/2017 11:01 AM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset bd9d07c15223180fa18d28f5dc13654bfc591ff5.

#8 - 09/11/2017 03:57 AM - Marek Hulan

- translation missing: en.field_release set to 287
